Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 456083

Summary: process hangs in async direct IO / possible race between dio_bio_end_aio() and dio_await_one() ?
Product: Red Hat Enterprise Linux 4 Reporter: RHEL Product and Program Management <pm-rhel>
Component: kernelAssignee: Vitaly Mayatskikh <vmayatsk>
Status: CLOSED ERRATA QA Contact: Martin Jenner <mjenner>
Severity: high Docs Contact:
Priority: urgent    
Version: 4.6CC: jplans, kzhang, phan-suong.pho, pm-eus, sputhenp, tao
Target Milestone: rcKeywords: ZStream
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-04 19:00:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 451819    
Bug Blocks:    

Description RHEL Product and Program Management 2008-07-21 13:37:40 UTC
This bug has been copied from bug #451819 and has been proposed
to be backported to 4.7 z-stream (EUS).

Comment 2 Vitaly Mayatskikh 2008-07-22 21:48:49 UTC
Committed in 78.0.1

Comment 4 Zhang Kexin 2008-08-04 08:30:37 UTC
bug is verified by code review.

Comment 6 errata-xmlrpc 2008-08-04 19:00:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0650.html

Comment 7 exploitcs 2008-09-30 13:00:27 UTC
(In reply to comment #0)
> This bug has been copied from bug #451819 and has been proposed
> to be backported to 4.7 z-stream (EUS).

Can I have a script to reproduct the pb ?